JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun();
const users = await client.connect.users.list();
console.log(users.items);from mobilerun_sdk import Mobilerun
client = Mobilerun()
users = client.connect.users.list()
print(users.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
)
func main() {
client := mobileruncloud.NewClient()
users, err := client.Connect.Users.List(context.TODO(), mobileruncloud.ConnectUserListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", users.Items)
}mobilerun-cloud connect:users listcurl --request GET \
--url https://api.mobilerun.ai/connect/users
{
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"proxyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 123,
"pageSize": 123,
"pages": 123,
"total": 123
}
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"status": 123,
"title": "<string>"
}Users
List SOCKS5 users
Returns SOCKS5 users owned by the caller. Passwords are omitted from the list.
GET
/
connect
/
users
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun();
const users = await client.connect.users.list();
console.log(users.items);from mobilerun_sdk import Mobilerun
client = Mobilerun()
users = client.connect.users.list()
print(users.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
)
func main() {
client := mobileruncloud.NewClient()
users, err := client.Connect.Users.List(context.TODO(), mobileruncloud.ConnectUserListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", users.Items)
}mobilerun-cloud connect:users listQuery Parameters
Page number (1-based).
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Filter to users bound to this proxy. Users not bound to it (including unbound users) are excluded.
Was this page helpful?
⌘I